## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DeleteFunctor Struct Template Reference

Functor to delete objects, used in STL iteration algorithms. More...

`#include <STLHelper.hpp>`

Inheritance diagram for DeleteFunctor:

[legend]
Collaboration diagram for DeleteFunctor:

[legend]
List of all members.

## Public Types

- typedef std::unary_function<
  const Type*, void> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Methods

- DeleteFunctor (MemoryManagerType &theManager)
- result_type operator() (argument_type thePointer) const
    Delete the object pointed to by argument. More...

## Detailed Description

### template<class Type> struct DeleteFunctor

Functor to delete objects, used in STL iteration algorithms.

## Member Typedef Documentation

template<class Type>
typedef std::unary_function< const Type *, void > DeleteFunctor<Type>::BaseClassType<const Type*, void>

template<class Type>
typedef BaseClassType::argument_type DeleteFunctor<Type>::argument_type

template<class Type>
typedef BaseClassType::result_type DeleteFunctor<Type>::result_type

## Constructor & Destructor Documentation

template<class Type>
DeleteFunctor<Type>::DeleteFunctor<Type> ( | MemoryManagerType & theManager )

## Member Function Documentation

template<class Type>
result_type DeleteFunctor<Type>::operator() ( | argument_type thePointer ) const

Delete the object pointed to by argument.

Parameters:

  thePointer | pointer to object to be deleted

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.